User Boards

Get a user's boards

1 creditper request
GET
/v1/pinterest/user/boards
curl "https://api.scrapecreators.com/v1/pinterest/user/boards" \
  -H "x-api-key: "
{
  "success": true,
  "boards": [
    {
      "node_id": "Qm9hcmQ6MjgyODEyMTIwMjg5NDIzMDQ0",
      "collaborating_users": [],
      "name": "Anthony Edwards",
      "owner": {
        "node_id": "VXNlcjoyODI4MTIxODkwMDg0NzU1NDk=",
        "is_private_profile": false,
        "ads_only_profile_site": null,
        "type": "user",
        "is_default_image": false,
        "explicitly_followed_by_me": false,
        "is_verified_merchant": false,
        "verified_identity": {},
        "full_name": "🚨BSB🚨",
        "image_medium_url": "https://i.pinimg.com/75x75_RS/1c/82/f7/1c82f745249221256c71b8c04decb2c7.jpg",
        "id": "282812189008475549",
        "domain_verified": true,
        "is_partner": true,
        "username": "BroadStBullycom",
        "is_ads_only_profile": false
      },
      "board_order_modified_at": "Wed, 21 May 2025 11:18:38 +0000",
      "description": "The best Anthony Edwards pins by 🚨 BSB 🚨",
      "collaborated_by_me": false,
      "created_at": "Thu, 18 Apr 2024 22:56:33 +0000",
      "url": "https://www.pinterest.com/broadstbullycom/anthony-edwards/",
      "allow_homefeed_recommendations": true,
      "collaborator_requests_enabled": false,
      "followed_by_me": false,
      "collaborator_count": 0,
      "is_ads_only": false,
      "pin_count": 317,
      "images": {
        "170x": [
          {
            "url": "https://i.pinimg.com/170x/6e/96/6e/6e966ea74419baf110176439f6a412ad.jpg",
            "width": 170,
            "height": 301,
            "dominant_color": "#5A7978"
          }
        ],
        "236x": [
          {
            "url": "https://i.pinimg.com/236x/6e/96/6e/6e966ea74419baf110176439f6a412ad.jpg",
            "width": 236,
            "height": 419,
            "dominant_color": "#5A7978"
          }
        ]
      },
      "id": "282812120289423044",
      "should_show_more_ideas": false,
      "type": "board",
      "access": [],
      "cover_pin": {
        "pin_id": "282812051593911893",
        "image_signature": "3fc9ffd3ef48d11f2cea9f4cffc8ece9",
        "timestamp": 1713483568
      },
      "has_custom_cover": false,
      "viewer_collaborator_join_requested": false,
      "section_count": 0,
      "privacy": "public",
      "follower_count": 1833,
      "should_show_board_collaborators": true,
      "image_cover_url": "https://i.pinimg.com/200x150/3f/c9/ff/3fc9ffd3ef48d11f2cea9f4cffc8ece9.jpg",
      "image_cover_hd_url": "https://i.pinimg.com/474x/3f/c9/ff/3fc9ffd3ef48d11f2cea9f4cffc8ece9.jpg",
      "event_date": null,
      "event_start_date": null,
      "cover_images": {
        "200x150": {
          "url": "https://i.pinimg.com/200x150/3f/c9/ff/3fc9ffd3ef48d11f2cea9f4cffc8ece9.jpg",
          "width": 200,
          "height": 150
        },
        "222x": {
          "url": "https://i.pinimg.com/222x/3f/c9/ff/3fc9ffd3ef48d11f2cea9f4cffc8ece9.jpg",
          "width": 222,
          "height": null
        }
      },
      "place_saves_count": 0,
      "archived_by_me_at": null,
      "tracking_params": "CwABAAAAEDEyNzQ2MDIyMDAzNjE4NzQGAAMAggA",
      "should_show_shop_feed": false,
      "is_temporarily_disabled": false,
      "is_collaborative": false
    }
  ],
  "cursor": "LT4yODI4MTIxMjAyODk0M...."
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string
required

The username of the user to get boards for. (e.g. broadstbullycom from https://www.pinterest.com/broadstbullycom/)

Example:
broadstbullycom
trim
boolean

Set to true for a trimmed down version of the response

Example:
false